.cadernos-digitais {
    display: flex;
    flex-direction: column;
    border: 1px solid black;
    margin-top: 90px;
    width: 96%;
    margin-left: auto;
    margin-right: auto;
    border-radius: 12px;
    padding-bottom: 20px;
    padding-top: 20px;
    margin-bottom: 50px;
}

.titulo-cadernos {
    font-family: "Baloo 2", sans-serif;
    margin-left: 2%;
    font-size: 30px;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 20px;
}

.caderno-m {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.caderno-m-1 {
    display: none;
}

.txt-caderno {
    font-family: "Baloo 2", sans-serif;
    font-weight: 700;
    font-size: clamp(1rem, 1.5vw, 1.5rem);
}

.capa {
    margin: 0 10px;
    width: 18%;
}

.btn-baixar-ca {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid black;
    border-radius: 12px;
    padding: 5px;
    text-decoration: none;
    color: black;
    width: 30%;
    transition: all 0.3s ease;
}

.linha-v {
    height: 230px;
    width: 1px;
    border-radius: 12px;
    background-color: rgb(46, 46, 46);
    margin-left: 25px;
    margin-right: 10px;
}

.btn-baixar-ca:hover {
    cursor: pointer;
    transform: scale(1.05);
    color: rgb(255, 255, 255);
    background-color: rgb(2, 146, 12);
    border: 1px solid black;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.linha-h {
    display: none;
}


.btn-casa-1 {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid black;
    border-radius: 9px;
    padding: 5px;
    width: 20%;
    text-decoration: none;
    font-family: "Baloo 2", sans-serif;
    font-weight: 600;
    color: rgb(255, 255, 255);
    transition: all 0.3s ease;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 40px;
    background-color: rgb(0, 102, 255);
}

.direitos {
    text-align: center;
    font-family: "Baloo 2", sans-serif;
    font-size: 14px;
    color: rgb(91, 91, 91);
    margin-bottom: 20px;
}

.btn-casa-1:hover {
    cursor: pointer;
    transform: scale(1.05);
    color: black;
    background-color: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    border: 1px solid black;
}

@media (max-width: 480px) {
    .caderno-m-1 {
        display: none;
    }

    .caderno-m {
        flex-direction: column;
        align-items: center;
    }

    .linha-v {
        display: none;
    }

    .capa {
        width: 85%;
        margin-bottom: 10px;
    }

    .linha-h {
        display: flex;
        width: 90%;
        margin-left: auto;
        margin-right: auto;
        height: 1px;
        background-color: rgb(91, 91, 91);
        border-radius: 10px;
        margin-top: 50px;
        margin-bottom: 20px;
    }

    .btn-casa-1 {
        width: 40%;
    }
}

@media (min-width: 481px) and (max-width: 1024px) {

    .caderno-m {
        display: none;
    }

    .caderno-m-1 {
        display: grid;
        grid-template-columns: 1fr;
        justify-items: center;
    }

    .linha-v {
        display: none;
    }

    .capa {
        width: 50%;
        max-width: 180px;
        margin-bottom: 0;
    }

    .linha-h {
        display: flex;
        width: 90%;
        margin-left: auto;
        margin-right: auto;
        height: 1px;
        background-color: rgb(91, 91, 91);
        border-radius: 10px;
        margin-top: 50px;
        margin-bottom: 20px;
    }

    .row {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 25px;
    }

    .btn-baixar-ca {
        width: 50%;
    }
}